## org.eclipse.emf.mapping.command
Class DragAndDropOverrideCommand

    java.lang.Object
      org.eclipse.emf.common.command.AbstractCommand
          org.eclipse.emf.edit.command.DragAndDropCommand
              org.eclipse.emf.mapping.command.DragAndDropOverrideCommand

All Implemented Interfaces:
  Command, DragAndDropFeedback

    public class DragAndDropOverrideCommand

extends DragAndDropCommand

This command overrides the PasteFromClipboardCommand for cross-domain (optimized) copies.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.command.DragAndDropCommand
`DragAndDropCommand.Detail`

Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand
`AbstractCommand.NonDirtying`

Field Summary

Fields inherited from class org.eclipse.emf.edit.command.DragAndDropCommand
`collection, DESCRIPTION, domain, dragCommand, dropCommand, feedback, isDragCommandExecuted, LABEL, location, lowerLocationBound, operation, operations, optimize, optimizedDropCommandOwner, owner, upperLocationBound`

Fields inherited from class org.eclipse.emf.common.command.AbstractCommand
`description, isExecutable, isPrepared, label`

Fields inherited from interface org.eclipse.emf.edit.command.DragAndDropFeedback
`DROP_COPY, DROP_LINK, DROP_MOVE, DROP_NONE, FEEDBACK_INSERT_AFTER, FEEDBACK_INSERT_BEFORE, FEEDBACK_NONE, FEEDBACK_SELECT`

Constructor Summary
`DragAndDropOverrideCommand(MappingDomain domain, DragAndDropCommand command)`

Method Summary
`protected boolean` `optimizedCanExecute()`

Methods inherited from class org.eclipse.emf.edit.command.DragAndDropCommand

`analyzeForNonContainment, create, dispose, execute, getAffectedObjects, getChildren, getCollection, getFeedback, getLocation, getOperation, getOperations, getOwner, getParent, getResult, isCrossDomain, isNonContainment, prepare, prepareDropCopyInsert, prepareDropCopyOn, prepareDropInsert, prepareDropLinkInsert, prepareDropLinkOn, prepareDropMoveInsert, prepareDropMoveOn, prepareDropOn, redo, reset, toString, undo, validate`

Methods inherited from class org.eclipse.emf.common.command.AbstractCommand
`canExecute, canUndo, chain, getDescription, getLabel, setDescription, setLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DragAndDropOverrideCommand

    public DragAndDropOverrideCommand(MappingDomain domain,
                                      DragAndDropCommand command)

Method Detail

### optimizedCanExecute

    protected boolean optimizedCanExecute()

  Overrides:
    `optimizedCanExecute` in class `DragAndDropCommand`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.